羊毛之家

这里总有一款属于你的菜

CentOS 编译安装 OpenLiteSpeed

前言

最近 OpenLiteSpeed 推出 1.5.0RC1 版本,1.4.X 版本从 2014 年发布以来持续到 2018 年,而这次终于开始了跨越大版本的更新,不过虽然感觉更新的内容并不是非常的劲爆。

这是更更新内容:

服务器核心

•   [新]多线程API。
•   [新]模块开发指南。
•   [更新]添加了更多的多线程示例模块。
•   [错误修复]所有已知的错误已被修复。

ModLSPHP模块

•   [新]更好性能的ModLSPHP模块,适应多线程支持

安装

由于 OpenLiteSpeed 在 1.4.27 版本中增加了 Brotli 的支持(这是兼容 Gzip 但是压缩率更高的压缩格式),但是默认不编译安装的,而且需要 brotli-devel,这里就介绍如何编译安装支持 Brotli 的 OpenLitespeed。

教程适合 CentOS、RHEL、Oracle Linux、CloudLinux 操作系统

安装依赖

yum install epel-release
yum install gcc gcc-c++ make autoconf glibc rcs
yum install pcre-devel openssl-devel expat-devel geoip-devel zlib-devel udns-devel

ok,安装 Brotli 这里用的 Fedora 测试版的 Brotli,由于 Brotli 并不依赖其他组件,所以可以直接用 Fedora 的。

yum install http://mirrors.aliyun.com/fedora/development/rawhide/Everything/x86_64/os/Packages/b/brotli-1.0.1-2.fc28.x86_64.rpm
yum install http://mirrors.aliyun.com/fedora/development/rawhide/Everything/x86_64/os/Packages/b/brotli-devel-1.0.1-2.fc28.x86_64.rpm

如果地址失效了,就在 http://rpmfind.net/linux/rpm2html/search.php?query=brotli&submit=Search+... 查看新的版本号

下载源码

mkdir -p /root/src/
cd /root/src/

wget http://open.litespeedtech.com/packages/openlitespeed-1.5.0rc1.tgz
tar xzf openlitespeed-1.5.0rc1.tgz
cd openlitespeed-1.5.0

编译

./configure --with-brotli=/usr

操作

启动 OpenLiteSpeed:

/usr/local/lsws/bin/lswsctrl start

关闭 OpenLiteSpeed:

/usr/local/lsws/bin/lswsctrl stop

然后进入 https://<你的公网ip>:7080 输入默认账户:admin 和 默认密码 1234567 就可以进行操作了。

免责声明:内容均来自网络或网友投稿,如有侵权请联系管理员,我们会第一时间为您处理!谢谢您的合作!

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址